use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IDrawer {}

impl IDrawer {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &organic::types::Drawer<'parse>,
    ) -> Result<IDrawer, CustomError> {
        Ok(IDrawer {})
    }
}
