use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IFixedWidthArea {}

impl IFixedWidthArea {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &organic::types::FixedWidthArea<'parse>,
    ) -> Result<IFixedWidthArea, CustomError> {
        Ok(IFixedWidthArea {})
    }
}
