use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IItalic {}

impl IItalic {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &organic::types::Italic<'parse>,
    ) -> Result<IItalic, CustomError> {
        Ok(IItalic {})
    }
}
