use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IPropertyDrawer {}

impl IPropertyDrawer {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &organic::types::PropertyDrawer<'parse>,
    ) -> Result<IPropertyDrawer, CustomError> {
        Ok(IPropertyDrawer {})
    }
}
