use crate::error::CustomError;

use super::registry::Registry;

#[derive(Debug)]
pub(crate) struct IStatisticsCookie {}

impl IStatisticsCookie {
    pub(crate) async fn new<'intermediate, 'parse>(
        registry: &mut Registry<'intermediate, 'parse>,
        original: &organic::types::StatisticsCookie<'parse>,
    ) -> Result<IStatisticsCookie, CustomError> {
        Ok(IStatisticsCookie {})
    }
}
